import sys
import os
import time

def getVersionString():
	return getImageVersionString()

def getImageVersionString():
	try:
		st = os.stat('/usr/lib/ipkg/status')
		tm = time.localtime(st.st_mtime)
		if tm.tm_year >= 2011:
			return time.strftime("%b %e %Y %H:%M:%S", tm)
	except:
		pass
	return "unavailable"

def getEnigmaVersionString():
	import enigma
	enigma_version = enigma.getEnigmaVersionString()
	if '-(no branch)' in enigma_version:
		enigma_version = enigma_version [:-12]
	return enigma_version

def getKernelVersionString():
	try:
		return open("/proc/version","r").read().split(' ', 4)[2].split('-',2)[0]
	except:
		return "unknown"

def getHardwareTypeString():                                                    
	try:
		if os.path.isfile("/proc/stb/info/boxtype"):                            
			return open("/proc/stb/info/boxtype").read().strip().upper() + " (" + open("/proc/stb/info/board_revision").read().strip() + "-" + open("/proc/stb/info/version").read().strip() + ")"
		if os.path.isfile("/proc/stb/info/vumodel"):                            
			return "VU+" + open("/proc/stb/info/vumodel").read().strip().upper() + "(" + open("/proc/stb/info/version").read().strip().upper() + ")" 
		if os.path.isfile("/proc/stb/info/model"):                              
			return open("/proc/stb/info/model").read().strip().upper()      
	except:
		pass
	return "Unavailable"                                                    
                                                                                
def getImageTypeString():                                                             
	try:                                                            
		return open("/etc/issue").readlines()[-2].capitalize().strip()[:-6]
	except:                                                         
		pass                                                    
	return "Undefined" 

# For modules that do "from About import about"
about = sys.modules[__name__]
